// Test_JSON.java

import java.io.File;
import java.io.FileOutputStream;
import java.io.StringWriter;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.BasicConfigurator;
import org.json.JSONObject;
import org.json.JSONWriter;

import com.elixirtech.ers2.client.ERSClient;
import com.elixirtech.report2.runtime.IJobInfo;

import java.util.Properties;

public class Test_JSON
{
	public static void main(String[] args) throws Exception
	{
		List<Pair> list = new ArrayList<Pair>();
		list.add(new Pair("admin","aa"));
		list.add(new Pair("test","tt"));
		list.add(new Pair("user","ur"));
		list.add(new Pair("fred","fd"));
		list.add(new Pair("bill","bl"));
		
		StringWriter sw = new StringWriter();
				JSONWriter jw = new JSONWriter(sw);
		jw.array();
		String[] names = new String[]{"user","pass"};
		for (Pair p : list) jw.value(
				new JSONObject(p,names)
				);
		jw.endArray();
		Properties props = new Properties();
		File f = new File("Output.pdf");
		
		props.put("ARRAY", sw.getBuffer().toString());
		sw.flush();
		 
		//Report Generation
		BasicConfigurator.configure();
		ERSClient client = new ERSClient("localhost", 7001 , "Anonymous", "anonymous");
		client.setAutoEscape(true);
		
		String conType="application/pdf";
		FileOutputStream fOS = new FileOutputStream(f);
		String myTemplate="/JSON/UserCodePassword.rml";
		IJobInfo job =  client.renderReport(myTemplate,conType, fOS, props,"me");
		System.out.println("Byte Size: "+ job.getLong(IJobInfo.BYTE_SIZE));
		
	}
	
	public static class Pair
	{
		public Pair(String u, String p)
		{
			user = u;
			pass = p;
		}
		public String user;
		public String pass;
	}
}


// Test_JSON.java